=== debian/control ===
Source: ansible-runner
Section: net
Priority: optional
Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-mock,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.ansible.com
Vcs-Browser: https://salsa.debian.org/saki-guest/ansible-runner
Vcs-Git: https://salsa.debian.org/saki-guest/ansible-runner.git

Package: python-ansible-runner-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library that interfaces with Ansible (docs)
 Ansible Runner is a tool and python library that helps when interfacing
 with Ansible directly or as part of another system whether that be
 through a container image interface, as a standalone tool, or as a
 Python module that can be imported.
 .
 This package provides the Sphinx generated documentation for Ansible Runner.

Package: python3-ansible-runner
Architecture: all
Depends:
 ansible,
 bubblewrap,
 python3-distutils,
 sshpass,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ansible-runner-doc,
Description: library that interfaces with Ansible (Python 3.x)
 Ansible Runner is a tool and python library that helps when interfacing
 with Ansible directly or as part of another system whether that be
 through a container image interface, as a standalone tool, or as a
 Python module that can be imported.
 .
 This package contains the Python 3.x module.
