=== debian/changelog ===
ansible-runner (2.1.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.1.
  * Closes bug CVE-2021-3701.
  * Updating build depends.
  * Updating debian/copyright.
  * Adding intersphinx patch and a Build-Depends-Indep that it works.
  * Changing homepage url.
  * Correcting changelog typo for 1.4.6-1.
  * Removing python3-ansible-runner.lintian-overrides.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 20 Nov 2021 17:33:39 +0100

ansible-runner (1.4.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.

  [ Sakirnth Nagarasa ]
  * Changing VCS path in debian/control.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Oct 2021 13:17:54 -0400
