=== debian/control ===
--- 
+++ 
@@ -6,15 +6,21 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-daemon,
  python3-mock,
+ python3-pbr,
+ python3-pexpect,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
+ python3-yaml,
+Build-Depends-Indep:
+ python3-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Homepage: https://www.ansible.com
-Vcs-Browser: https://salsa.debian.org/saki-guest/ansible-runner
-Vcs-Git: https://salsa.debian.org/saki-guest/ansible-runner.git
+Standards-Version: 4.6.0
+Homepage: https://github.com/ansible/ansible-runner
+Vcs-Browser: https://salsa.debian.org/saki/ansible-runner
+Vcs-Git: https://salsa.debian.org/saki/ansible-runner.git
 
 Package: python-ansible-runner-doc
 Architecture: all
