## ansible-runner 2.1.3

=== debian/changelog ===
ansible-runner (2.1.3-3) sid; urgency=medium

  * d/contol:
    - Marking python-ansible-runner-doc as Multi-Arch foreign.
    - Increment Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 23 Jun 2022 16:34:38 +0200

ansible-runner (2.1.3-2) sid; urgency=medium

  * Uploading to sid.
  * d/changelog:
    - Correcting wrong patch description for 2.1.3-1.
    - Correcting wrong bug closing statement for 2.1.3-1.
  * Removing deprecated resource profiling capability which used
    cgroups (Closes: #993371).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 24 Apr 2022 17:45:17 +0200

ansible-runner (2.1.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.3.
  * Adding patch to remove resource profiling capability.
  * Removing deprecated resource profiling capability which used
    cgroups (Closes: #993371).
  * d/copyright: Correcting copyright years and a copyright owner mistake.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 24 Apr 2022 10:37:07 +0200
