=== debian/control ===
--- 
+++ 
@@ -17,13 +17,14 @@
 Build-Depends-Indep:
  python3-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ansible/ansible-runner
 Vcs-Browser: https://salsa.debian.org/saki/ansible-runner
 Vcs-Git: https://salsa.debian.org/saki/ansible-runner.git
 
 Package: python-ansible-runner-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},
