## ansible-runner 2.3.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
-PYTHON ?= python
-ifeq ($(origin VIRTUAL_ENV), undefined)
-    DIST_PYTHON ?= pipenv run $(PYTHON)
-else
-    DIST_PYTHON ?= $(PYTHON)
-endif
+PYTHON ?= python3
+
+CONTAINER_ENGINE ?= docker
 
 NAME = ansible-runner
-IMAGE_NAME ?= $(NAME)
+IMAGE_NAME ?= quay.io/ansible/ansible-runner
+IMAGE_NAME_STRIPPED := $(word 1,$(subst :, ,$(IMAGE_NAME)))
+GIT_BRANCH ?= $(shell git rev-parse --abbrev-ref HEAD)
+ANSIBLE_BRANCH ?=
+ANSIBLE_VERSIONS ?= stable-2.9 stable-2.10 stable-2.11
 PIP_NAME = ansible_runner
-VERSION := $(shell $(DIST_PYTHON) setup.py --version)
+VERSION := $(shell $(PYTHON) setup.py --version)
 ifeq ($(OFFICIAL),yes)
     RELEASE ?= 1
 else
@@ -35,7 +36,6 @@
 DEBUILD_OPTS ?=
 DPUT_BIN ?= dput
 DPUT_OPTS ?=
-DEB_DIST ?= xenial
 
 GPG_KEY_ID ?=
 
@@ -61,7 +61,7 @@
 DEB_TAR_FILE=$(NAME)_$(VERSION).orig.tar.gz
 DEB_DATE := $(shell LC_TIME=C date +"%a, %d %b %Y %T %z")
 
-.PHONY: clean dist sdist dev shell image devimage rpm srpm docs deb debian deb-src
+.PHONY: test clean dist sdist dev shell image devimage rpm srpm docs deb debian deb-src
 
 clean:
 	rm -rf dist
@@ -70,20 +70,20 @@
 	rm -rf rpm-build
 	rm -rf deb-build
 	find . -type f -regex ".*\py[co]$$" -delete
+	rm -rf $(shell find test/ -type d -name "artifacts")
 
-dist:
-	$(DIST_PYTHON) setup.py bdist_wheel --universal
+dist: sdist wheel
+
+WHEEL_NAME = $(subst -,_,$(NAME))
+wheel: dist/$(WHEEL_NAME)-$(VERSION)-py3-none-any.whl
+
+dist/$(WHEEL_NAME)-$(VERSION)-py3-none-any.whl:
+	$(PYTHON) setup.py bdist_wheel
 
 sdist: dist/$(NAME)-$(VERSION).tar.gz
 
 dist/$(NAME)-$(VERSION).tar.gz:
-	$(DIST_PYTHON) setup.py sdist
-
-dev:
-	pipenv install
-
-shell:
-	pipenv shell
+	$(PYTHON) setup.py sdist
 
 test:
 	tox
@@ -91,20 +91,32 @@
 docs:
 	cd docs && make html
 
-image:
-	docker pull centos:8
-	docker build --rm=true -t $(IMAGE_NAME) .
+image: sdist
+	$(CONTAINER_ENGINE) build --rm=true \
+		--build-arg ANSIBLE_BRANCH=$(ANSIBLE_BRANCH) \
+		-t $(IMAGE_NAME) -f Dockerfile .
+	$(CONTAINER_ENGINE) tag $(IMAGE_NAME) $(IMAGE_NAME_STRIPPED):$(GIT_BRANCH)
 
-devimage:
-	docker pull centos:8
-	docker build --rm=true -t $(IMAGE_NAME)-dev -f Dockerfile.dev .
+image_matrix: image
+	for version in $(ANSIBLE_VERSIONS) ; do \
+		ANSIBLE_BRANCH=$$version GIT_BRANCH=$$version-$(GIT_BRANCH) make image ; \
+	done
+	$(CONTAINER_ENGINE) tag $(IMAGE_NAME) $(IMAGE_NAME_STRIPPED):$(GIT_BRANCH)
+
+image_matrix_publish:
+	for version in $(ANSIBLE_VERSIONS) ; do \
+		$(CONTAINER_ENGINE) push $(IMAGE_NAME_STRIPPED):$$version.$(GIT_BRANCH) ; \
+	done
+	$(CONTAINER_ENGINE) push $(IMAGE_NAME_STRIPPED):$(GIT_BRANCH)
 
 rpm:
-	docker-compose -f packaging/rpm/docker-compose.yml \
+	MOCK_CONFIG=$(MOCK_CONFIG) docker-compose -f packaging/rpm/docker-compose.yml build
+	MOCK_CONFIG=$(MOCK_CONFIG) docker-compose -f packaging/rpm/docker-compose.yml \
 	  run --rm -e RELEASE=$(RELEASE) rpm-builder "make mock-rpm"
 
 srpm:
-	docker-compose -f packaging/rpm/docker-compose.yml \
+	MOCK_CONFIG=$(MOCK_CONFIG) docker-compose -f packaging/rpm/docker-compose.yml build
+	MOCK_CONFIG=$(MOCK_CONFIG) docker-compose -f packaging/rpm/docker-compose.yml \
 	  run --rm -e RELEASE=$(RELEASE) rpm-builder "make mock-srpm"
 
 mock-rpm: rpm-build/$(RPM_NVR).$(RPM_ARCH).rpm
@@ -137,7 +149,7 @@
 deb:
 	docker-compose -f packaging/debian/docker/docker-compose.yml \
 		run --rm \
-		-e OFFICIAL=$(OFFICIAL) -e DEB_DIST=$(DEB_DIST) -e RELEASE=$(RELEASE) \
+		-e OFFICIAL=$(OFFICIAL) -e RELEASE=$(RELEASE) \
 		-e GPG_KEY_ID=$(GPG_KEY_ID) -e GPG_SIGNING_KEY=$(GPG_SIGNING_KEY) \
 		deb-builder "make debian"
 
@@ -167,7 +179,7 @@
 	fi
 	cd deb-build && tar -xf $(DEB_TAR_FILE)
 	cp -a packaging/debian deb-build/$(NAME)-$(VERSION)/
-	sed -ie "s|%VERSION%|$(VERSION)|g;s|%RELEASE%|$(RELEASE)|;s|%DEB_DIST%|$(DEB_DIST)|g;s|%DATE%|$(DEB_DATE)|g" $@/debian/changelog
+	sed -ie "s|%VERSION%|$(VERSION)|g;s|%RELEASE%|$(RELEASE)|g;s|%DATE%|$(DEB_DATE)|g" $@/debian/changelog
 
 print-%:
 	@echo $($*)
