=== requirements.txt ===
pexpect>=4.5
packaging
python-daemon
pyyaml
six
