=== debian/changelog ===
ansible-runner (2.3.1-2) sid; urgency=medium

  * d/control: Updating Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 04 Jan 2023 07:48:44 +0100

ansible-runner (2.3.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.1.
  * Removing 0002-purge-deprecated-resource-profiling-capability.patch
    it is already in upstream.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 13 Nov 2022 17:17:57 +0100
