=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  python3-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ansible/ansible-runner
 Vcs-Browser: https://salsa.debian.org/saki/ansible-runner
 Vcs-Git: https://salsa.debian.org/saki/ansible-runner.git
