=== debian/changelog ===
ansible-runner (2.3.6-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.6.
  * d/control:
    - Removing Depends on python3-distutils (Closes: #1065827).
    - Changing Depends from ansible to ansible-core only binaries from there are
      necessary (Closes: #1067129).
  * d/changelog: Correcting typo for 2.1.3-3.
  * d/copyright: Updating for year 2024.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 25 Mar 2024 15:05:20 +0100
