=== debian/control ===
--- 
+++ 
@@ -40,9 +40,8 @@
 Package: python3-ansible-runner
 Architecture: all
 Depends:
- ansible,
+ ansible-core,
  bubblewrap,
- python3-distutils,
  sshpass,
  ${misc:Depends},
  ${python3:Depends},
