=== debian/changelog ===
ansible-runner (2.4.0-0.1) unstable; urgency=medium

  + Non-maintainer upload.
  * New upstream version 2.4.0 (Closes: #1073366, #1068087)
  * Add dependency on pybuild-plugin-pyproject
  * Remove dependency on python3-mock (Closes: #1068086)
  * Add watch file
  * Add gbp.conf matching existing repos
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Jun 2024 08:15:17 +0200
