=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-daemon,
- python3-mock,
  python3-pbr,
  python3-pexpect,
  python3-pytest,
