## ansible-runner 2.4.1

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==0.7.16
    # via sphinx
ansible-core==2.15.12
    # via -r requirements.in
ansible-pygments==0.1.1
    # via sphinx-ansible-theme
babel==2.16.0
    # via sphinx
certifi==2024.8.30
    # via requests
cffi==1.17.1
    # via cryptography
charset-normalizer==3.3.2
    # via requests
cryptography==44.0.1
    # via ansible-core
docutils==0.20.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.8
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.4.0
    # via sphinx
importlib-resources==5.0.7
    # via ansible-core
jinja2==3.1.5
    # via
    #   ansible-core
    #   sphinx
markupsafe==2.1.5
    # via jinja2
packaging==24.1
    # via
    #   ansible-core
    #   sphinx
pycparser==2.22
    # via cffi
pygments==2.18.0
    # via
    #   ansible-pygments
    #   sphinx
pyyaml==6.0.2
    # via ansible-core
requests==2.32.3
    # via sphinx
resolvelib==1.0.1
    # via ansible-core
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.4.7
    # via
    #   -r requirements.in
    #   sphinx-ansible-theme
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-ansible-theme==0.10.3
    # via -r requirements.in
sphinx-rtd-theme==2.0.0
    # via sphinx-ansible-theme
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
tomli==2.0.1
    # via sphinx
urllib3==2.2.2
    # via requests
zipp==3.20.1
    # via importlib-metadata
