=== test/requirements.txt ===
mypy==1.6.0
pylint==3.0.1
pytest==8.1.1
pytest-cov
pytest-mock
pytest-timeout
pytest-xdist==2.5.0
types-pyyaml
flake8==6.1.0
yamllint==1.32.0
cryptography
