=== debian/watch ===
version=4
https://github.com/ansible/ansible-runner/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
